// Bedienung von Scad und erstes Objekt

// Die beiden Schrägstriche dienen dazu,
// Kommentarzeilen in das Script einzufügen.
// Ein Kommentar wird nicht dargestellt und 
// dient dazu zu erklären, was denn dann in den
// folgenden Zeilen passiert...

/*
Kann man auch so über mehrere Zeilen veranstalten...
Mit einem Anfangs- und End-Tag
*/

/*
Nach dem Start von OpenSCAD wird typischerweise ein
dreigeteiltes Fenster angezeigt:
1.  Ein einfacher Texteditor für die Bearbeitung des Programms, bzw. Erstellung der 3-d Objekte (Eingabe),
2.  Ein Bereich für die graphische Ausgabe zum Betrachten des Ergebnisses (Ausgabe),
3.  Ein Bereich, in dem Fehler- und Statusmeldungen angezeigt werden (Verarbeitung).

Tasten und Maus in Scad:
Text-Bereich:
F5 Übersetzung (Compile) und Gittermodell aktualisieren
(schnelle Variante)

F6 Übersetzung (Compile) und aufwändige Version rendern (langsame Variante, für STL-Export notwendig)

Grafik-Bereich
Linke Maustaste = Modell drehen
Rechte Maustaste = Modell verschieben
Mausrad = Zoom

(Zeichen) Befehle können auch mit einem Sternchen (Asterisk) * "ausdokumentiert" werden d. h. sie werden nicht dargestellt


Einfache Objekte (Primitives) in Scad darstellen:
Würfel:
Ein Würfel mit Kantenlänge 1, linke untere Ecke im
0-Punkt des Koordinatensystems. Alle Befehle müssen unbedingt mit einem Semikolon abgeschlossen werden!
*/
*cube();

/*
Nun wird der Würfel oder auch Quader mit einer festgelegten Größe erstellt.
Die drei Werte in der eckigen Klammer stellen die x, y und z Koordinaten dar.
Also hier ein Quader mit den Seitenlängen x = 2, y = 3, z = 4.
oder anders ...
Wichtig: Kommazahlen werden immer mit einem Deziamalpunkt geschrieben
*/
*cube([5,3,4]);

/*
oder anders ...
Wichtig: Kommazahlen werden immer mit einem Deziamalpunkt geschrieben
*/
*cube([7,3.5,9.7]);

/*
"center" Anweisung
Beim cube()-Befehl befindet sich die "linke untere Ecke“ im Mittelpunkt des Koordinatensystems.
Objekte lassen sich mit dem Befehl "center=true" so verschieben, dass der Mittelpunkt des Koordinatensystems in seinem eigenen Mittelpunkt liegt
*/

*cube([10,10,10],center =true);

/*
"translate" Anweisung:
Objekte lasen sich über die Anweisung "translate" in beliebiger Richtung verschieben
Im folgendem Beispiel wird der Würfel um jeweils 10 Einheiten in alle Richtungen (x, y, z) verschoben.
Kann aber auch einmal geändert werden...
*/

*translate([10,10,10])
*cube([5,5,5],center =true);

/*
Mehrere Objekte erstellen:
Man kann natürlich auch mehrere Obejkte erstellen.
Diese werden hintereinander aufgeführt und mit einem Semikolon abgeschhlossen.
Diese liegen nach der Erstellung zunächst übereinander, diese werden dann mit "translate" verschoben, so dass man sie sehen kann. "center" ist dann natürlich nicht hilfreich..
*/


*cube([5,5,5]);
*translate([10,0,0])
*cube([10,10,10]);
*translate([25,0,0])
*cube([15,15,15]);


/*
Nach dieser langen Einführung seid nun ihr dran!
Startet nun bitte das Programm "OpenScad" öffnet die Datei
und "01_Scad_Einführung und probiert diese
ersten Übungen einmal aus (am Ende des Textfensters)

Würfel/Quader in verschieden Größen erstellen, diesen
zentrieren und verschieben.
Ihr benötigt nur folgende Befehle:
- cube
- center
- translate

Im Grafik-Bereich die Mausaktionen

Hinweis:
Ihr könnt natürlich auch in diesem Text zur Kontrolle nach oben scrollen. Bitte aber nicht nur einfach die Befehle kopieren, sondern selbst im folgendem die Befehle aufschreiben!!
Solltet ihr damit fertig sein, könnt ihr die Datei "02_Aufgabe_Würfelturm" öffnen. Dort findet ihr eine weitere Aufgabe.
*/









