// Andere einfache Objekte (Primitives) in OpenSCAD

/*
Anweisung "cylinder":
Hier wird ein Zylinder erstellt.
Mit der Anweisung "cylinder" wird dieses ausgeführt.
In diesem Beispiel hat der Zylinder die Höhe 4 und den Radius 4
Das gleiche Bild entsteht, wenn bei dem Zylinder der Durchmesser 8 angegeben wird
*/
*cylinder(h=4, r=4);
*cylinder(h=6, d=8);

/*
Wie bei der Kugel kann die Auflösung durch $fn erhöht werden um dadurch die Seiten glatter zu gestaltten
Hier ein Zylinder mit einer Auflösung von 40
und ein Zylinder mit einer Auflösung von 100
*/

*cylinder(h=8, r=5, $fn=80);
*translate([15, 0, 0])
*cylinder(h=9, r=3, $fn=100);

/*
Bei einem Zylinder können am "Boden" und an 
der Spitze unterschiedliche Größe angegeben werden. 
Durch zwei Anweisungen "r1" und "r2" 
(bzw. d1 und d2 )in der Objektanweisung.
Es entsteht ein "Kegel"... 
*/

cylinder(h=30,r1=10,r2=0, $fn=100);
translate([30, 0, 0])
cylinder(h=20,d1=20,d2=10, $fn=100);



/*
Probiert nun selbst die Erstellung in unterschiedlichen Auflösungen & Größen aus.
*/




/*
Nun beareitet bitte die Aufgabe: 06_Spielfigur
Hinweis: bereits bekannte Befehle werden benötigt...
*/



